#ifndef _EVAL_
#define _EVAL_

#include "bitboards.h"

#define KRK 1
#define KQK 2
#define UNKNOWN_ENDGAME 3

#define STRONG_PAWN 0
#define LITTLE_WEAK_PAWN 1
#define WEAK_PAWN 2
#define POSSIBLY_WEAK_PAWN 3

/* This function returns a value for how good a position is. A high value
   means that the player at move is well off in the game. */
int eval(struct board *board);

#endif    //_EVAL_
